org.red5.server.api.stream

## Class IVideoStreamCodec.FrameData

- java.lang.Object
- - org.red5.server.api.stream.IVideoStreamCodec.FrameData

Enclosing interface:
  IVideoStreamCodec

    public static final class IVideoStreamCodec.FrameData
    extends Object

Holder for video frame data.

### Constructor Summary

Constructors
Constructor and Description
`IVideoStreamCodec.FrameData()`

### Method Summary

Methods
`IoBuffer` `getFrame()`
`void` `setData(IoBuffer data)` Makes a copy of the incoming bytes and places them in an IoBuffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IVideoStreamCodec.FrameData

    public IVideoStreamCodec.FrameData()

### Method Detail

#### setData

    public void setData(IoBuffer data)

Makes a copy of the incoming bytes and places them in an IoBuffer. No flip or rewind is performed on the source data.

Parameters:
  `data` -

#### getFrame

    public IoBuffer getFrame()